package com.huigou.topsun.sap.nonProducePick.application;

import com.huigou.topsun.sap.nonProducePick.domain.NonProducePickItem;
import com.huigou.topsun.sap.nonProducePick.domain.query.NonProducePickQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/13/9:45
 * @Description:
 */
public interface NonProducePickItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/nonProducePick/nonProducePick.xml";
    void saveNonProducePickItems(String nonProducePickId, List<NonProducePickItem> nonProducePickItems);

    Map<String,Object> queryNonProducePickItems(NonProducePickQueryRequest queryRequest);

    void deleteByIds(List<String> ids,String nonProducePickId);

    List<NonProducePickItem> findByNonProducePickId(String nonProducePickId);

    NonProducePickItem findById(String id);

    void updateNonProducePickItem(NonProducePickItem nonProducePickItem);
}
